This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 457404 - nagios-plugins should NOT provide Nagios::Plugins perl module
nagios-plugins should NOT provide Nagios::Plugins perl module
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nagios-plugins (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 10:07 EDT by Roy-Magne Mo
Modified: 2009-09-30 16:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-30 16:36:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roy-Magne Mo 2008-07-31 10:07:00 EDT
Description of problem:
The perl module Nagios::Plugin is included in the standard nagios-plugins
distribution, this should also be included in the fedora package.


Version-Release number of selected component (if applicable):
1.4.12-3

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike McGrath 2008-09-28 23:22:27 EDT
this is added, I'll be pushing a build out later tonight.
Comment 2 Jose Pedro Oliveira 2008-09-29 14:07:56 EDT
Mike,

The nagios-plugins-perl package shouldn't provide "perl(Nagios::Plugins)".
Nagios::Plugins is a different beast and although its tarball is shipped with  nagios-plugins, it isn't installed. See also comment #1 in #464419.

Ticket re-opened.

/jpo



From the specfile
...
%package perl
Summary: Nagios plugins perl dep.
Group: Applications/System
Requires: nagios-plugins = %{version}-%{release}
Provides: perl(Nagios::Plugins)"
...
Comment 3 Jose Pedro Oliveira 2008-10-05 12:08:09 EDT
Escalating this to high as nagios-plugins-perl (1.4.13-4) should not provide Nagios::Plugins.


Output of the currently available nagios-plugins-perl in the repos:
----
$ rpm -q --provides nagios-plugins-perl
perl(Nagios::Plugins)  
perl(utils)  
nagios-plugins-perl = 1.4.13-4....
----

Specfiles for perl-Nagios-Plugins and one of its requirements are available in comments 2 and 3 of bug #464419.
Comment 4 Jose Pedro Oliveira 2008-10-08 12:17:11 EDT
Mike,

Could you also remove the following line from the nagios-plugins specfile?

----------
$ diff -u nagios-plugins.spec.1.4.13-4.el5 nagios-plugins.spec
--- nagios-plugins.spec.1.4.13-4.el5    2008-09-29 05:37:45.000000000 +0100
+++ nagios-plugins.spec 2008-10-08 17:15:31.000000000 +0100
@@ -346,7 +346,6 @@
 Summary: Nagios plugins perl dep.
 Group: Applications/System
 Requires: nagios-plugins = %{version}-%{release}
-Provides: perl(Nagios::Plugins)
 
 %description perl
 Perl dep for nagios plugins.  This is *NOT* an actual plugin it simply provides
----------

/jpo
Comment 5 Jose Pedro Oliveira 2008-10-16 18:37:40 EDT
Mike,

Could you please remove the perl(Nagios::Plugins) provides?
The current nagios-plugin, as it packaged, doesn't provide it.

jpo
Comment 6 mail@romal.de 2008-10-20 03:46:19 EDT
Hi. Is it better to remove the provides statement or to enable the perl-modules ? Are they provided in another package ? Do we need them ?
Comment 7 Jose Pedro Oliveira 2008-10-20 07:04:31 EDT
(In reply to comment #6)
> Hi. ...

Hi,

> ... Is it better to remove the provides statement or to enable the perl-modules
> ? ...

Right now it is better to remove the line "Provides: perl(Nagios::Plugins)" from
the subpackage nagios-plugins-perl.  It shouldn't have been added during the upgrade to version 1.4.13.

> ... Are they provided in another package ? ...

Yes and no.  It is provided by the Nagios::Plugin module that exists in CPAN
(http://search.cpan.org/dist/Nagios-Plugin/). The tarball of this perl module is also shipped inside the nagios-plugins tarball but it is not installed.

  $ tar tzf nagios-plugins-1.4.13.tar.gz | grep Plugin
  nagios-plugins-1.4.13/perlmods/Nagios-Plugin-0.27.tar.gz

> ... Do we need them ?

We will. If I understood correctly, the current utils.pm module (nagios-plugins-perl) will be replaced by Nagios::Plugin.

  $ head /usr/lib/nagios/plugins/utils.pm
  ----------
  # Utility drawer for Nagios plugins.
  # $Id: utils.pm.in 1751 2007-07-07 11:55:48Z psychotrahe $
  #
  # This will be deprecated soon. Please use Nagios::Plugin from CPAN
  # for new plugins
  ...
  ----------

Note: The specfiles for packaging Nagios::Plugin and one of its requirements are available in #464419 (see comments #1, #2, and #3).
Comment 8 mail@romal.de 2008-10-20 14:48:46 EDT
Fixed in nagios-plugins-1.4.13-10. Build in Koji worked fine.
Comment 9 Jose Pedro Oliveira 2008-10-21 18:44:56 EDT
Robert,

Thanks for the update.
Could you also build nagios-plugins-1.4.13-1{0,1} for EPEL5?

tia,
jpo
Comment 10 Jose Pedro Oliveira 2008-11-01 17:31:29 EDT
Reopening this ticket as it still affects the nagios plugins in Fedora 8, Fedora 9, and EPEL.

Current versions in the F8, F9, and EPEL5:

./updates/8/SRPMS.newkey/nagios-plugins-1.4.13-9.fc8.src.rpm
./updates/9/SRPMS.newkey/nagios-plugins-1.4.13-9.fc9.src.rpm
./epel/testing/5Server/SRPMS/nagios-plugins-1.4.13-9.el5.src.rpm
Comment 11 Jose Pedro Oliveira 2008-11-17 22:10:25 EST
ping
Comment 12 Mike McGrath 2008-11-18 09:05:02 EST
patches welcome.
Comment 13 Mike McGrath 2008-11-18 09:10:26 EST
Sorry that went to the wrong bug, I'll get these built this morning.
Comment 14 Bug Zapper 2008-11-25 21:37:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Jose Pedro Oliveira 2009-01-06 11:56:14 EST
FYI:
In the past 2 months Nagios::Plugins has been updated several times. The latest version in CPAN is now 0.31 (released yesterday).

CPAN Homepage:
http://search.cpan.org/dist/Nagios-Plugin/

Changelog:
0.31 5th January 2009
  - Check for valid numerical value before returning perfdata object

0.30 13th December 2008
  - Fixed performance parsing when numeric fields had commas instead of periods due to locale settings
  - If a performance set is not parseable, instead of returning an empty array, will return all the successfully
    parsed sets
  - Fixed test plan for Nagios-Plugin-Performance.t

0.29 2nd December 2008
  - clean_label, for cleaning up a label for RRD, but without truncation

0.28 21st November 2008
  - Fixed test problems when run against Test::More 0.86
  - Added max_state_* wrappers

...
Comment 16 Jose Pedro Oliveira 2009-08-28 22:50:35 EDT
I think this bug can be closed as perl-Nagios-Plugin is about to hit the public F-11 and F-12 repos [1].


Related ticket:

[1] - Bug 517497 - Review Request: perl-Nagios-Plugin - Family of perl modules
      to streamline writing Nagios plugins
      https://bugzilla.redhat.com/show_bug.cgi?id=517497
Comment 17 Jose Pedro Oliveira 2009-09-30 16:33:09 EDT
Closing this ticket.

FYI: perl-Nagios-Plugins is also available for EPEL5.

Note You need to log in before you can comment on or make changes to this bug.